WinBase.WIN32_FIND_DATA.ByReference (JNA API)

com.sun.jna.platform.win32

## Class WinBase.WIN32_FIND_DATA.ByReference

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinBase.WIN32_FIND_DATA
    - - com.sun.jna.platform.win32.WinBase.WIN32_FIND_DATA.ByReference

- All Implemented Interfaces:
    Structure.ByReference
  Enclosing class:
    WinBase.WIN32_FIND_DATA

      public static class WinBase.WIN32_FIND_DATA.ByReference
      extends WinBase.WIN32_FIND_DATA
      implements Structure.ByReference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.WinBase.WIN32_FIND_DATA

      `WinBase.WIN32_FIND_DATA.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.WinBase.WIN32_FIND_DATA

      `cAlternateFileName, cFileName, dwFileAttributes, dwReserved0, dwReserved1, ftCreationTime, ftLastAccessTime, ftLastWriteTime, nFileSizeHigh, nFileSizeLow`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByReference()`
    `ByReference(Pointer memory)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.WinBase.WIN32_FIND_DATA

      `getAlternateFileName, getFileName, sizeOf`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByReference

          public ByReference()

    - #### ByReference

          public ByReference(Pointer memory)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.